<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "classpath://org/hibernate/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="storybook.model.hbn.entity">
    <class discriminator-value="-1" name="AbstractTag" table="TAG">
        <id column="ID"
            name="id"
            type="java.lang.Long"
            unsaved-value="null">
            <generator class="increment"/>
        </id>
        <discriminator column="type" type="integer"/>
        <property
            column="creation"
            name="creation"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="maj"
            name="maj"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="name"
            name="name"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="description"
            name="description"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="notes"
            name="notes"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="assistant"
            name="assistant"
            length="32768"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <property
            column="type"
            name="type"
            type="java.lang.Integer"
            insert="false"
            update="false"
        />
        <property
            column="category"
            name="category"
            type="java.lang.String"
            insert="true"
            update="true"
        />
        <subclass discriminator-value="0"  name="Tag"/>
        <subclass discriminator-value="1"  name="Item"/>
        <subclass discriminator-value="20" name="Memo"/>
    </class>
</hibernate-mapping>
